Index: test/pr_inversion/test/test_output.txt
===================================================================
--- test/pr_inversion/test/test_output.txt	(revision 9f7fbd95345068210f07aa5bc9994d51a0415eec)
+++ test/pr_inversion/test/test_output.txt	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -3,5 +3,5 @@
 #alpha=0.0007
 #chi2=836.797
-#elapsed=0.000377893
+#elapsed=0.000389099
 #qmin=None
 #qmax=None
Index: test/sasfit/test/batch_fit.py
===================================================================
--- test/sasfit/test/batch_fit.py	(revision efa5e4440f169b2894993f4f1db9691ecdd9bc2e)
+++ test/sasfit/test/batch_fit.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -3,5 +3,5 @@
 import unittest
 from sas.dataloader.loader import Loader
-from sas.fit.Fitting import Fit
+from sas.fit.Fitting import BumpsFit as Fit
 from sas.models.CylinderModel import CylinderModel
 import sas.models.dispersion_models 
@@ -42,11 +42,11 @@
         self.qmax = qmax
         
-    def _reset_helper(self, path=None, engine="bumps", npts=NPTS):
+    def _reset_helper(self, path=None, npts=NPTS):
         """
-        Set value to fitter engine and prepare inputs for map function
+        Set value to fitter and prepare inputs for map function
         """
         for i in range(npts):
             data = Loader().load(path)
-            fitter = Fit(engine)
+            fitter = Fit()
             #create model
             model = CylinderModel()
@@ -77,5 +77,5 @@
             self.list_of_mapper.append(classMapper)
                    
-    def reset_value(self, engine='bumps'):
+    def reset_value(self):
         """
         Initialize inputs for the map function
@@ -88,19 +88,19 @@
 
         path = "testdata_line3.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "testdata_line.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "SILIC010_noheader.DAT"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "cyl_400_20.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "sphere_80.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "PolySpheres.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "latex_qdev.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         path = "latex_qdev2.txt"
-        self._reset_helper(path=path, engine=engine, npts=NPTS)
+        self._reset_helper(path=path, npts=NPTS)
         
       
Index: test/sasfit/test/utest_fit_cylinder.py
===================================================================
--- test/sasfit/test/utest_fit_cylinder.py	(revision c3caa49a51b161c546cf4a9fb8827070508ae30b)
+++ test/sasfit/test/utest_fit_cylinder.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -7,5 +7,5 @@
 
 from sas.fit.AbstractFitEngine import Model
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.dataloader.loader import Loader
 
@@ -15,5 +15,5 @@
         """ initialize data"""
         self.data = Loader().load("cyl_400_20.txt")
-        # Create model that fitting engine understands
+        # Create model that fitter understands
         from sas.models.CylinderModel import CylinderModel
         self.model  = CylinderModel()
@@ -27,7 +27,7 @@
         self.pars1 =['length','radius','scale']
         
-    def _fit(self, name="bumps"):
-        """ return fit result """
-        fitter = Fit(name)
+    def test_fit(self):
+        """Simple cylinder model fit"""
+        fitter = Fit()
         fitter.set_data(self.data,1)
         fitter.set_model(self.model,1,self.pars1)
@@ -43,9 +43,4 @@
         self.assertTrue( math.fabs(result1.pvec[2]-1.0)/3.0   < result1.stderr[2] )
         self.assertTrue( result1.fitness < 1.0 )
-
-
-    def test_bumps(self):
-        """ Simple cylinder model fit """
-        self._fit("bumps")
 
 
@@ -82,5 +77,5 @@
     def test_constrained_bumps(self):
         """ Simultaneous cylinder model fit  """
-        self._run_fit(Fit('bumps'))
+        self._run_fit(Fit())
 
     #@unittest.skip("")
@@ -92,5 +87,4 @@
 
         for n, v, dv in zip(result1.param_list, result1.pvec, result1.stderr):
-            #print "%s M1.%s = %s +/- %s"%(fitter._engine.__class__.__name__,n,v,dv)
             if n == "length":
                 self.assertTrue( math.fabs(v-400.0)/3.0 < dv )
@@ -100,5 +94,4 @@
                 self.assertTrue( math.fabs(v-1.0)/3.0 < dv )
         for n, v, dv in zip(result2.param_list, result2.pvec, result2.stderr):
-            #print "%s M2.%s = %s +/- %s"%(fitter._engine.__class__.__name__,n,v,dv)
             if n=='radius':
                 self.assertTrue( math.fabs(v-40.0)/3.0 < dv )
Index: test/sasfit/test/utest_fit_line.py
===================================================================
--- test/sasfit/test/utest_fit_line.py	(revision efa5e4440f169b2894993f4f1db9691ecdd9bc2e)
+++ test/sasfit/test/utest_fit_line.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -8,5 +8,5 @@
 from sas.fit.AbstractFitEngine import Model, FitHandler
 from sas.dataloader.loader import Loader
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.models.LineModel import LineModel
 from sas.models.Constant import Constant
@@ -16,5 +16,5 @@
 
     def test_bad_pars(self):
-        fitter = Fit('bumps')
+        fitter = Fit()
 
         data = Loader().load("testdata_line.txt")
@@ -34,6 +34,6 @@
             raise AssertionError("No error raised for fitting with wrong parameters name to fit")
 
-    def fit_single(self, fitter_name, isdream=False):
-        fitter = Fit(fitter_name)
+    def fit_single(self, isdream=False):
+        fitter = Fit()
 
         data = Loader().load("testdata_line.txt")
@@ -74,5 +74,5 @@
         #print "fitting",alg,opts
         #kprint "options",fitters.FIT_OPTIONS[alg].__dict__
-        self.fit_single('bumps', isdream=(alg=='dream'))
+        self.fit_single(isdream=(alg=='dream'))
 
     def test_bumps_de(self):
@@ -102,5 +102,5 @@
      
         #Importing the Fit module
-        fitter = Fit('bumps')
+        fitter = Fit()
         # Receives the type of model for the fitting
         model11  = LineModel()
@@ -161,5 +161,5 @@
         
         #Importing the Fit module
-        fitter = Fit('bumps')
+        fitter = Fit()
         fitter.set_data(data1,1)
         fitter.set_model(model1,1,pars1)
@@ -194,5 +194,5 @@
         #Importing the Fit module
 
-        fitter = Fit('bumps')
+        fitter = Fit()
         fitter.set_data(data1,1,qmin=0, qmax=7)
         fitter.set_model(model,1,pars1)
Index: test/sasfit/test/utest_fit_smeared.py
===================================================================
--- test/sasfit/test/utest_fit_smeared.py	(revision a3f125f0f3c4ff6ed01529da503fbdd5ccb23b14)
+++ test/sasfit/test/utest_fit_smeared.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -8,5 +8,5 @@
 import numpy
 from sas.fit.AbstractFitEngine import Model
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.dataloader.loader import Loader
 from sas.models.qsmearing import smear_selection
@@ -24,5 +24,5 @@
         #out.dy = out.y
         
-        fitter = Fit('bumps')
+        fitter = Fit()
         fitter.set_data(out,1)
         
@@ -62,5 +62,5 @@
         #fitters.FIT_OPTIONS[alg].options.update(opts)
         fitters.FIT_OPTIONS[alg].options.update(monitors=[])
-        self._dispersion(fitter = Fit('bumps'))
+        self._dispersion(fitter = Fit())
 
     def _dispersion(self, fitter):
@@ -94,6 +94,5 @@
         #import time; T0 = time.time()
         result1, = fitter.fit()
-        #print "time",time.time()-T0,fitter._engine.__class__.__name__
-        
+
         self.assert_(result1)
         self.assertTrue(len(result1.pvec)>0)
@@ -137,5 +136,5 @@
 
         # Fit
-        fitter = Fit('bumps')
+        fitter = Fit()
         
         # Data: right now this is the only way to set the smearer object
@@ -143,5 +142,5 @@
         # data for a given fit.
         fitter.set_data(self.data_res,1)
-        fitter._engine.fit_arrange_dict[1].data_list[0].smearer = smear
+        fitter.fit_arrange_dict[1].data_list[0].smearer = smear
 
         # Model: maybe there's a better way to do this.
@@ -169,5 +168,5 @@
         #self.assertEqual(smear.__class__.__name__, 'PySmearer')
 
-        fitter = Fit('bumps')
+        fitter = Fit()
         
         # Data: right now this is the only way to set the smearer object
@@ -175,6 +174,6 @@
         # data for a given fit.
         fitter.set_data(self.data_slit,1)
-        fitter._engine.fit_arrange_dict[1].data_list[0].smearer = smear
-        fitter._engine.fit_arrange_dict[1].data_list[0].qmax = 0.003
+        fitter.fit_arrange_dict[1].data_list[0].smearer = smear
+        fitter.fit_arrange_dict[1].data_list[0].qmax = 0.003
         
         # Model
Index: test/sasfit/test/utest_multiplicative_model.py
===================================================================
--- test/sasfit/test/utest_multiplicative_model.py	(revision 769a422c11c3436ba98d901facb9f5b0c0c3d774)
+++ test/sasfit/test/utest_multiplicative_model.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -8,5 +8,5 @@
 from sas.dataloader.data_info import Data1D 
 from sas.fit.AbstractFitEngine import Model,FitData1D
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.dataloader.loader import Loader
 from sas.models.MultiplicationModel import MultiplicationModel
@@ -38,5 +38,5 @@
     
         pars1 =['length','radius','scale_factor']
-        fitter = Fit('bumps')
+        fitter = Fit()
         fitter.set_data(data,1)
         fitter.set_model(model,1,pars1)
Index: test/sasfit/test/utest_small_test.py
===================================================================
--- test/sasfit/test/utest_small_test.py	(revision efa5e4440f169b2894993f4f1db9691ecdd9bc2e)
+++ test/sasfit/test/utest_small_test.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -4,5 +4,5 @@
 import unittest
 import math
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.dataloader.loader import Loader
 import bumps.fitters
@@ -16,5 +16,5 @@
         out= Loader().load("cyl_400_20.txt")
        
-        fitter = Fit('bumps')
+        fitter = Fit()
         # Receives the type of model for the fitting
         from sas.models.CylinderModel import CylinderModel
